/* Program  numlin.cc      */
/* By Harald Stauss        */
/* Last change 22.08. 1997 */

#include <ctype.h>
#include "tsa.h"

main(int argc, char *argv[])
{
         short    i;
unsigned long     n;
         char     *fin, *ftin, *finbuf, *ftinbuf;;
         REGIST   r;

  finbuf=new char[255];
  fin=finbuf;
  ftinbuf=new char[255];
  ftin=ftinbuf;

  cout << "NUMLIN Ver. 1.1 by H. Stauss, 1997 \n";

  if (argc != 2)
    {
      cout << "Number of parameters wrong! \n";
      cout << "Determins the number of channels and the number of lines \n";
      cout << "NUMLIN fname  \n";
      cout << "fname  : name of input file (*.TSA or *.ASC). \n";
      goto ende;
    }
  
  strcpy(fin,argv[1]);
  strcpy(ftin,fin);
  ftin=strrchr(ftin,'.');
  for (i=0; ftin[i]; i++) ftin[i]=toupper(ftin[i]);

  cout << "Input file           : " << fin << "\n";

  /* E i n g a b e d a t e i   o e f f n e n */
  if (strcmp(ftin,".TSA")==0) r.ReadTSA(fin);
  if (strcmp(ftin,".ASC")==0) r.ReadASCII(fin,1);
  if ((strcmp(ftin,".TSA")!=0) && (strcmp(ftin,".ASC")!=0)) {
    cout << "File type for input not recognized! \n";
    goto ende;
  }

  cout << "Number of channels: " << r.n << "\n";
  for (i=0; i < r.n; i++)
    cout << "Number of lines in channel " << i+1 << ": " << r.ch[i].n << "\n";
  
ende:
  delete [] finbuf;
  delete [] ftinbuf;
  return(0);
} /* Ende von main */
